| Earth Observation Mission CFI Software Lib Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.StarData Class Reference

Base class for StarData objects. More...

Inheritance diagram for EECFI.StarData:

List of all members.

## Public Member Functions
| StarData ()
| Class constructor (empty constructor).
| StarData (double ra, double dec, double muRa, double muDec, double radVel, double par, long cs)
| Class constructor.
native Coord | getCart (ModelId modelId, long deriv) throws CfiError
| Get cartesian coordinates in the requested CS.
native StarRaDec | getStar (ModelId modelId, Time time) throws CfiError
| Get star Ra and Dec in ToD for a given time.
native StarData | changeCatalog (ModelId modelId, Time time, long newCatalog) throws CfiError
| Get the star parameters in a different catalog.
## Public Attributes
double | ra
| RA or galactic longitude (radians: 0, 2PI).
double | dec
| Dec or galactic latitude (radians: -PI/2, PI/2).
double | muRa
| Proper motion in RA (rad/century).
double | muDec
| Proper motion in Dec (rad/century).
double | radVel
| Radial velocity (AU/century).
double | parallax
| Parallax (radians: 0, 2PI).
long | cs
| Reference frame where the coordinates are refered to.

## Detailed Description

Base class for StarData objects.

## Constructor & Destructor Documentation

EECFI.StarData.StarData | ( |  | ) |

Class constructor (empty constructor).

EECFI.StarData::StarData | ( | double | ra,
|  | double | dec,
|  | double | muRa,
|  | double | muDec,
|  | double | radVel,
|  | double | par,
|  | long | cs |
| ) |  |  |

Class constructor.

Parameters:

  | ra | RA or galactic longitude (radians: 0, 2PI).
  | dec | Dec or galactic latitude (radians: -PI/2, PI/2).
  | muRa | Proper motion in RA (rad/century).
  | muDec | Proper motion in Dec (rad/century).
  | radVel | Radial velocity (AU/century).
  | par | Parallax (radians: 0, 2PI).
  | cs | Reference frame where the coordinates are refered to.

## Member Function Documentation

StarData EECFI.StarData::changeCatalog | ( | ModelId | modelId,
|  | Time | time,
|  | long | newCatalog |
| ) |  |  | throws CfiError

Get the star parameters in a different catalog.

Only the RA and Dec. are computed.

Parameters:

  | modelId | Model id.
  | time | Time of the input star.
  | newCatalog | New catalogue where the new parameters are computed.

Returns:
  Star parameters in new catalog.

Coord EECFI.StarData::getCart | ( | ModelId | modelId,
|  | long | deriv |
| ) |  |  | throws CfiError

Get cartesian coordinates in the requested CS.

Only the position and velocity vector are computed (not the accelearation).

Parameters:

  | modelId | Model Id.
  | deriv | flag to indicate if derivatives have to be computed (XLCFI_NO_DER, XLCFI_DER_1ST).

StarRaDec EECFI.StarData::getStar | ( | ModelId | modelId,
|  | Time | time |
| ) |  |  | throws CfiError

Get star Ra and Dec in ToD for a given time.

The object StarData values are used as a reference and it it should be given in FK5 catalog (BM2000 CS).

Parameters:

  | modelId | Model id.
  | time | Time for which the values are requested.

## Member Data Documentation

long EECFI.StarData.cs

Reference frame where the coordinates are refered to.

double EECFI.StarData.dec

Dec or galactic latitude (radians: -PI/2, PI/2).

double EECFI.StarData.muDec

Proper motion in Dec (rad/century).

double EECFI.StarData.muRa

Proper motion in RA (rad/century).

double EECFI.StarData.parallax

Parallax (radians: 0, 2PI).

double EECFI.StarData.ra

RA or galactic longitude (radians: 0, 2PI).

double EECFI.StarData.radVel

Radial velocity (AU/century).